﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGeoMapScatterAreaCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            SampleData SD1 = new SampleData() { X = 4.9000, Y = 52.3667, Wind = 3 };
            SampleData SD2 = new SampleData() { X = 2.3508, Y = 48.8567, Wind = 4 };
            SampleData SD3 = new SampleData() { X = 13.3833, Y = 52.5167, Wind = 5 };

            Data.Add(SD1);
            Data.Add(SD2);
            Data.Add(SD3);
        }
    }

    public class SampleData
    {
        public double X { get; set; }
        public double Y { get; set; }
        public double Wind { get; set; }
    }
}
